Subject: Submission of an errata for RFC 4436 Section 2.1.1

From: Bernard Aboba <[email-masked]>
Date: Tue, 26 Sep 2006 15:39:35 -0700 (PDT)

In the email below, Carlo Bellettini points out an error in RFC 4436 
Section 2.1.1.   The text is given below:

"  If a valid ARP Reply is received, the MAC address in the sender
   hardware address field (ar$sha) in the ARP Reply is matched against
   the target hardware address field (ar$tpa) in the ARP Request, and
   the IPv4 address in the sender protocol address field (ar$spa) of the
   ARP Reply is matched against the target protocol address field
   (ar$tpa) in the ARP Request."

I would like to submit an errata to correct this paragraph so as to 
state the following:

"  If a valid ARP Reply is received, the MAC address in the sender
   hardware address field (ar$sha) in the ARP Reply is matched against
   the destination MAC address in the ARP Request, and the IPv4
   address in the sender protocol address field (ar$spa) of the
   ARP Reply is matched against the target protocol address field
   (ar$tpa) in the ARP Request."

------------------------------------------------------
From: Carlo Bellettini [mailto:[email-masked]] 
Sent: Tuesday, September 26, 2006 10:04 AM
To: Bernard Aboba
Subject: Clarification on RFC 4436 (DNAv4)

Dear Mr Aboba,
I'm writing my MSc thesis on dual-stack mobility and DNAv4 is one of the
discussed issues. I think there are some typos in RFC 4436, 2.1.1:

   ...
   address as the destination.  The host includes its MAC address in the
   sender hardware address field (ar$sha) and sets the target hardware
   address field (ar$tha) to 0.

   If a valid ARP Reply is received, the MAC address in the sender
   hardware address field (ar$sha) in the ARP Reply is matched against
   the target hardware address field (ar$tpa) in the ARP Request, and
   ...

Maybe in the last line I cited there should be "ar$tha" instead of
"ar$tpa", is this correct? (ar$tpa is here a IP address) If so, I can't
see how can the mobile node match ar$sha in the ARP Reply against ar$tha
in the ARP Request, since the latter must be set to 0. Thank you,

Carlo Bellettini

(should I contact some other author?)